# Paths Element

{% hint style="warning" %}
**IMPORTANT** Configuration settings are published for information purposes only. Unless express consent has been granted, changes to configuration settings must only be made by Omfax Systems/Touch-Base Ltd technicians or their representatives.
{% endhint %}

### KF\_config.xml

The configuration/Paths section of the Keyfax KF\_config.xml file contains various URLs which the applications use to link each other.

```
<Paths>
  <ResourcesURL>http://www.uk.touch-base.com/</ResourcesURL>
  <AdminURL>http://www.uk.touch-base.com/kfc32</AdminURL>
  <ScriptTestURL>http://www.uk.touch-base.com/interview/Main/Request.aspx?mode={0}&amp;co={1}&amp;user={2}&amp;set={3}&amp;test=1</ScriptTestURL>
  <HelpURL>http://dev.touch-base.com/helpconsole2010/Keyfax Administrator Tools/default.aspx?pageid={0}&anchor={1}</HelpURL>
  <WebServiceCreateURL>http://www.uk.touch-base.com/interview/main/startup.aspx</WebServiceCreateURL>
  <WebServiceStartupURL>http://www.uk.touch-base.com/interview/main.aspx</WebServiceStartupURL>
  <WebServiceStatusURL>http://www.uk.touch-base.com/interview/status2.aspx</WebServiceStatusURL>
  <WebServiceReturnURL>
    <![CDATA[ http://www.uk.touch-base.com/kfc32/main.asp?s=kf_parser40&amp;status={0} ]]>
  </WebServiceReturnURL>
  <WebEmailTaskURL>
    <![CDATA[ http://www.uk.touch-base.com/kfc32/caller_task.asp?tid= ]]>
  </WebEmailTaskURL>
  <WebEmailTasksURL>http://www.uk.touch-base.com/kfc32/user_tasks.asp</WebEmailTasksURL>
  <WebServiceTolReturn>
    <![CDATA[ http://www.uk.touch-base.com/kflogintol/repair_complete.asp?tid= ]]>
  </WebServiceTolReturn>
  <WebServiceTolStatus>http://www.uk.touch-base.com/kflogintol/status.asp</WebServiceTolStatus>
  <DataviewURL>
    <![CDATA[ http://www.uk.touch-base.com/kfdataview/password.asp?co=xxx&user=operator&pwd=operator ]]>
  </DataviewURL>
  <ClientResources>\\webprod1\prodsites\KFclient</ClientResources>
  <ExchangeMap>\\webprod1\prodsites\kflauncher\MISexchange.xml</ExchangeMap>
</Paths>
```

Explanations of these settings as follows:

* **ResourcesURL**\
  This is base URL which contains a "KFresources" sub-web. The URL can be an intranet server name (i.e. //WEBPROD1/) or public address (as shown above). \
  Note: This folder (and sub folders) should be set with with permissions (all but full) for the IUSR\_SERVERNAME account.
* **AdminURL**\
  This is a URL to the main Keyfax management console. The URL can be an intranet server name (i.e. //WEBPROD1/) or public address (as shown above). \
  Note: This URL is normally located locally on an intranet server, but can also reside on an Omfax managed server, as a central resource.
* **ScriptTestURL**\
  This is a URL to the test folder of the Keyfax application. The URL can be an intranet server name (i.e. //WEBPROD1/) or public address (as shown above). \
  Note: This folder contains request, response and configuration pages, which the Administration Console will load.
* **HelpURL**\
  This is a URL to the Keyfax Help system. The URL can be an intranet server name (i.e. //WEBPROD1/) or public address (as shown above). \
  Note: This URL is normally located on an Omfax managed server, as a central help resource.
* \***WebServiceCreateURL**\
  This URL is used by Contact•View / host HMS / CRMs to pass XML request data to RD / FL via XMLHTTP\
  Note: This URL is normally located locally on an intranet server, but can also reside on an Omfax managed server, as a central resource.
* \***WebServiceStartupURL**\
  This URL is used by Contact•View / host HMS / CRMs to login to RD / FL request data has been sent\
  Note: This URL is normally located locally on an intranet server, but can also reside on an Omfax managed server, as a central resource.
* \***WebServiceStatusURL**\
  This URL is used by Contact•View / host HMS / CRMs to login to RD / FL to read the RD / FL application state and retrieve export data via XMLHTTP\
  Note: This URL is normally located locally on an intranet server, but can also reside on an Omfax managed server, as a central resource.
* \***WebServiceReturnURL**\
  This URL is used by Contact•View in RD / FL requests to indicate which page to navigate too at the end of a script\
  Note: This URL is located locally on an intranet server, as part of Keyfax Contact•View.
* \***WebEmailTaskURL**\
  This URL is used in Contact•View notification Emails when an ad hoc task has been sent to a user. This is a link to the page which displays the ad hoc task can be viewed.\
  Note: This URL is located locally on an intranet server, as part of Keyfax Contact•View.
* \***WebEmailTasksURL**\
  This URL is used in Contact•View notification Emails when an tasks have been assigned to users. This is a link to the page which displays the assigned tasks. \
  Note: This URL is located locally on an intranet server, as part of Keyfax Contact•View.
* \***WebServiceTolReturn**\
  This URL is used Keyfax Repairs On-line to redirect back to a given page after processing a repair request via a the KFloginTOL web-service.\
  Note: This URL is located locally on an intranet server, as part of Keyfax Contact•View. \
  Setting not currently in use.
* \***WebServiceTolStatus**\
  Not currently in use.
* \***DataviewURL**\
  This is the URL to the Data•View web-service if installed. This should include the default user and password parameters for the account to use.\
  Note: This URL is normally located locally on an intranet server, but can also reside on an Omfax managed server, as a central resource.\
  Also, note that from Keyfax v3.2.1.5 onwards the user credentials need not be supplied. The Keyfax application will supply these details for **the currently logged in user**. This same release supports multi-company Data•View, so the Company code (co=xxx) parameter must be supplied. If omitted, the default company will be assumed.
* \***ExchangeMap**\
  If MIS-AMS SQL ActiveH Repairs or CRM are installed, then this path should indicate the location of the Keyfax/MIS-AMS exchange settings file.\
  Note: If not integrated with MIS-AMS SQL ActiveH Repairs or CRM, leave this entry empty.
* \***ClientResources**\
  If any configuration value begins with "FILE:" the remaining text is treated as a file path and is appended to the value in this node, then the contents of the file is returned.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyfax.biz/technical/configuration-settings/paths-element.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
